<?php 

	require("utils.php"); 
	
	$sekce = "";
	
	$sekce = $_GET["sekce"];
	
	switch ($sekce){
		case "kontakt" : 
			$title = "Kontakt"; 
			break;
		case "fotogalerie" : 
			$title = "Fotogalerie"; 
			break;
		case "zamestnanci" : 
			$title = "Zaměstnanci"; 
			break;
		default : 
			$title = "Hlavní stránka"; 
			$sekce = ""; 
			break;		
	}	

	inserthead($title);

?>

<body>

<div id="box">

	<div id="banner"></div>

	<div id="menu">
    	<ul>
        	<li<?php if($sekce==""){print(" id=\"current\"");}?>><a href="index.php">Hlavni stranka</a></li>            
        	<li<?php if($sekce=="kontakt"){print(" id=\"current\"");}?>><a href="index.php?sekce=kontakt">Kontakt</a></li>
        	<li<?php if($sekce=="fotogalerie"){print(" id=\"current\"");}?>><a href="index.php?sekce=fotogalerie">Fotogalerie</a></li>
        	<li<?php if($sekce=="zamestnanci"){print(" id=\"current\"");}?>><a href="index.php?sekce=zamestnanci">Zaměstnanci</a></li>
        	<li><a href="#">1.polozka</a></li>
        </ul>
    </div>
    
	<div id="content">
		<?php
	        if ($sekce==""){
				print("Hlavni strana.");	
			}

			if ($sekce=="kontakt"){
				print("KONTAKT");	
			}			

			if ($sekce=="fotogalerie"){
				
			$galleries = array("2","3");
			$galleriesnames = array("Prvni galerie","Druha galerie");
			$galleriesdescriptions = array("Tato galerie ilustruje obrazky, ktere se proste nachazeji v galerii cislo 1.","A tady si vymyslime strasne dlouhy text...");

			$galerie = $_GET["galerie"];


				if ($galerie==""){
					for($i=0;$i<count($galleries);$i++){
					$cislogalerie = $i+1;
				?>	
					
                    <div style="float:left; width:200px;">
                    <a href="index.php?sekce=fotogalerie&galerie=<?php print($cislogalerie);?>"><img src="images/galleries/<?php print($cislogalerie);?>/<?php print($cislogalerie);?>.jpg"></a>
                    </div>
                    
                    <div style="float:left; width:300px;">
                    <h2><?php print($galleriesnames[$i]);?></h2>
                    <p><?php print($galleriesdescriptions[$i]);?></p>
                    <p><a href="index.php?sekce=fotogalerie&galerie=<?php print($cislogalerie);?>">více...</a></p>
                    </div>
                    
                    <div style="clear:both"></div>
				<?php	
				
					}
				}
				else
				{
					print("<h1>Seznam fotek galerie ".$galerie."</h1>");
					$pocetfotek = $galleries[$galerie-1];
					for($i=1;$i<=$pocetfotek;$i++){
					?>
					    <a href="images/galleries/<?php print($galerie);?>/big/<?php print($galerie);?>-b-<?php print($i);?>.jpg" rel="lightbox[<?php print($galerie);?>]" title="my caption"><img src="images/galleries/<?php print($galerie);?>/small/<?php print($galerie);?>-s-<?php print($i);?>.jpg"></a>
					<?php
					}
					?>
					<a href="http://127.0.0.1/webik2si2/index.php?sekce=fotogalerie">zpet</a><?php
				}
			}
			
			if ($sekce=="zamestnanci"){
				print("Zaměstnanci");
				
				$soubor=fopen("data/zamestnanci.txt", "r");
				if($soubor){
					/* dokud nejsem na konci souboru resp. ukazatel...*/
					$htmltabulka = "";
					$pocetradku = 0;
					while (!feof($soubor)){
						$radek = fgets($soubor,5000);
						$radek = str_replace("\"","",$radek);
						list($prijmeni,$jmeno,$telefon,$email) = explode(";", $radek);
						if (($pocetradku % 2)==1){
							$htmltabulka = $htmltabulka."<tr class=\"lichy\">";
						}else{
							$htmltabulka = $htmltabulka."<tr class=\"sudy\">";							
						}
						$pocetradku = $pocetradku + 1;
						
						$htmltabulka = $htmltabulka."<td>".$prijmeni."</td><td>".$jmeno."</td><td>".substr($telefon,0,3)."&nbsp;".substr($telefon,3,3)."&nbsp;".substr($telefon,6,3)."</td><td>".$email."</td></tr>";
					}
					
					fclose($soubor);
					
					if ($htmltabulka<>""){
						print("<p>Celkem zamestnancu:".$pocetradku.".</p>");
						print("<table cellspacing=\"0\" cellpadding=\"0\" width=\"100%\">");				
						print("<thead><tr class=\"stufflist\"><th>Příjmení</th><th>Jméno</th><th>Telefon</th><th>E-mail</th></thead>");
						print($htmltabulka);
						print("</table>");
					}
					
				}else{
					print("Nepodarilo se ziskat potrebna data.");	
				}


			}			


		?>
     </div>
    <div id="footer">Paticka...</div>

</div>

</body>
</html>